//
//  NetworkWaitAuthView.swift
//  punchnet
//
//  Created by 安礼成 on 2026/4/17.
//
import SwiftUI

struct NetworkWaitAuthView: View {
    var phase: NetworkConnectionPhase
    
    var body: some View {
        VStack(spacing: 16) {
            ProgressView()
            
            Text(self.phase == .disconnecting ? "正在断开网络..." : "正在建立安全连接...")
                .foregroundColor(.secondary)
        }
    }
}
